sm-commit AT lists.ibiblio.org
Subject: Source Mage code commit list
List archive
[[SM-Commit] ] GIT changes to master cauldron by Justin Boffemmyer (a95bb6d7b8a6e6f36660610d123a95eb41c9a395)
- From: Justin Boffemmyer <scm AT sourcemage.org>
- To: sm-commit AT lists.ibiblio.org, sm-commit AT lists.sourcemage.org
- Subject: [[SM-Commit] ] GIT changes to master cauldron by Justin Boffemmyer (a95bb6d7b8a6e6f36660610d123a95eb41c9a395)
- Date: Sat, 22 Mar 2025 05:20:55 +0000
GIT changes to master cauldron by Justin Boffemmyer <flux AT sourcemage.org>:
cauldron/bin/cauldron | 10 ++++++++--
cauldron/doc/cauldron.8 | 4 ++--
2 files changed, 10 insertions(+), 4 deletions(-)
New commits:
commit a95bb6d7b8a6e6f36660610d123a95eb41c9a395
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>
cauldron: better help message context
Previously, when the help subcommand was explicitly given an unknown or
erroneous topic, it would return the usage help. The present commit
changes this to report an error that the topic could not be found.
commit 84af6d8ef27e4470c10a3572b684c998fdec207a
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>
cauldron: make 'shell' the default command
When no command-line arguments/parameters are passed in, run the
interactive REPL shell by default rather than displaying the usage help.
diff --git a/cauldron/bin/cauldron b/cauldron/bin/cauldron
index 3aa6e46..b4052ee 100755
--- a/cauldron/bin/cauldron
+++ b/cauldron/bin/cauldron
@@ -146,6 +146,11 @@ function help_main() {
if [[ "$#" -ge 1 ]]
then
+ if ! command -v help_"$1"
+ then
+ echo "no help for topic: $1"
+ return 1
+ fi
eval help_"$1"
return $?
fi
@@ -185,7 +190,8 @@ MAIN COMMANDS
more information)
if no SUBCOMMAND is given, a default run will be attempted
shell
- invoke a cauldron command subshell
+ invoke a cauldron command subshell (the default if COMMAND is not
+ specified)
sys [SUBCOMMAND]
commands to generate sys material (see ${0##*/} help sys for
more information)
@@ -1136,7 +1142,7 @@ function process_shell() {
}
function run_command() {
- local cmdname="${1:-help}"
+ local cmdname="${1:-shell}"
local cmd=$(get_command "$cmdname")
shift
if [[ -n "$cmd" ]]
diff --git a/cauldron/doc/cauldron.8 b/cauldron/doc/cauldron.8
index e695231..3465ad9 100644
--- a/cauldron/doc/cauldron.8
+++ b/cauldron/doc/cauldron.8
@@ -20,7 +20,7 @@
.\" along with this software; if not, write to the Free Software
.\" Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
.\"
-.TH CAULDRON 8 "12 February 2018" "Source Mage GNU/Linux" "System
Administration"
+.TH CAULDRON 8 "22 March 2025" "Source Mage GNU/Linux" "System
Administration"
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
@@ -41,7 +41,7 @@
.SH "DESCRIPTION"
-Cauldron can either be invoked without any arguments, in which case it will
run as a menu-driven program, or with the name of an action to execute, in
which case it operates as a command-line program. It uses sorcery (also from
the Source Mage GNU/Linux project) to generate the content which will
populate the installation media.
+Cauldron can either be invoked without any arguments, in which case it will
run as an interactive REPL, or with the name of an action to execute, in
which case it operates as a command-line program. It uses sorcery (also from
the Source Mage GNU/Linux project) to generate the content which will
populate the installation media.
Cauldron will support building for the same architecture as the host
machine, as well as cross-compilation builds (so you can use one machine to
generate installation media for multiple architectures. The cross-compilation
support is currently alpha at best, but will be improved upon in future
releases.
- [[SM-Commit] ] GIT changes to master cauldron by Justin Boffemmyer (a95bb6d7b8a6e6f36660610d123a95eb41c9a395), Justin Boffemmyer, 03/22/2025
Archive powered by MHonArc 2.6.24.